# Changing to next scenario after each choice

kill @e[type=!player]
function henzoid:spark
##########################################
execute if score @p Scene matches 30 run setblock -5 37 1 minecraft:red_terracotta
# set everything back to normal
execute if score @p Scene matches 30 run fill -8 42 -24 31 31 -91 air
execute if score @p Scene matches 30 run fill -8 43 -24 31 54 -91 air
# give ending message
execute if score @p Scene matches 30 run tellraw @a ["",{"text":"\n"},{"text":"Thank you for playing!\n\nYour actions resulted in ","color":"yellow"},{"score":{"name":"@p","objective":"ActiveDeaths"},"color":"blue"},{"text":" deaths!\nYour inaction resulted in ","color":"yellow"},{"score":{"name":"@p","objective":"IndirectDeaths"},"color":"blue"},{"text":" deaths!","color":"yellow"},{"text":"\n\n"},{"text":"Fun fact: Henzoid came up with most of the scenarios for this map while on an actual train. Existential!!!","italic":true,"color":"gray"},{"text":"\n "}]
execute if score @p Scene matches 30 run scoreboard players set @a Scene 31
##########################################
# add an entire new trolley problem area identical to yours but backwards
execute if score @p Scene matches 29 run summon zombie -1 35 -72 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run fill -4 35 5 -5 39 -3 air
execute if score @p Scene matches 29 run clone -8 42 -23 31 31 43 -8 31 -90
execute if score @p Scene matches 29 run clone -8 54 -23 31 43 43 -8 43 -90
execute if score @p Scene matches 29 run clone -4 -38 -12 -5 -34 -20 -5 35 -70
execute if score @p Scene matches 29 run clone -4 -38 -8 -5 -34 0 -5 35 -3
execute if score @p Scene matches 29 run fill 11 35 -25 3 45 -52 air
execute if score @p Scene matches 29 run fill 5 43 -90 9 52 -90 air
execute if score @p Scene matches 29 run clone 2 -14 -20 8 -3 7 3 35 -90
execute if score @p Scene matches 29 run fill 4 46 -52 10 35 -59 air
execute if score @p Scene matches 29 run fill -9 35 -25 32 41 -25 barrier
# 5 people in connected area of track A
execute if score @p Scene matches 29 run summon villager 5 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 6 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 7 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 8 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 9 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run scoreboard players set @a Scene 30
##########################################
execute if score @p Scene matches 28 run setblock -5 37 1 minecraft:brown_terracotta
# put tracks back to normal
execute if score @p Scene matches 28 run clone -5 -53 8 23 -50 -20 3 31 -23
# 5 people on track A
execute if score @p Scene matches 28 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 28 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 28 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 28 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 28 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 28 run scoreboard players set @a Scene 29
##########################################
execute if score @p Scene matches 27 run setblock -5 37 1 minecraft:blue_terracotta
# connect tracks to form a loop
execute if score @p Scene matches 27 run clone -5 -45 8 23 -42 -20 3 31 -23
# 5 people on track A
execute if score @p Scene matches 27 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 27 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 27 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 27 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 27 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 27 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 27 run scoreboard players set @a Scene 28
##########################################
execute if score @p Scene matches 26 run setblock -5 37 1 minecraft:purple_terracotta
# remove house on track B
execute if score @p Scene matches 26 run fill 18 35 -1 22 40 3 air
# 2 people on track A
execute if score @p Scene matches 26 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 26 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person with an iron helmet on track B
execute if score @p Scene matches 26 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"},Offers:{}}
execute if score @p Scene matches 26 run scoreboard players set @a Scene 27
##########################################
execute if score @p Scene matches 25 run setblock -5 37 1 minecraft:cyan_terracotta
# 2 people on track A
execute if score @p Scene matches 25 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 25 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# house on track B
execute if score @p Scene matches 25 run clone -5 6 41 -1 1 37 18 35 -1
execute if score @p Scene matches 25 run scoreboard players set @a Scene 26
##########################################
execute if score @p Scene matches 24 run setblock -5 37 1 minecraft:light_gray_terracotta
# remove fenced off area
execute if score @p Scene matches 24 run fill 3 35 -10 10 39 -18 air
# remove television screen
execute if score @p Scene matches 24 run fill -31 34 -22 -31 70 42 air
# 5 people on track A
execute if score @p Scene matches 24 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# Henzoid on track B
execute if score @p Scene matches 24 run summon drowned 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],HandItems:[{id:"minecraft:air",Count:1b},{}]}
execute if score @p Scene matches 24 run scoreboard players set @a Scene 25
##########################################
execute if score @p Scene matches 23 run setblock -5 37 1 minecraft:gray_terracotta
# fenced off area on track A
execute if score @p Scene matches 23 run clone 2 9 25 -5 13 33 3 35 -18
# 3 people on track B
execute if score @p Scene matches 23 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 23 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 23 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 23 run scoreboard players set @a Scene 24
##########################################
execute if score @p Scene matches 22 run setblock -5 37 1 minecraft:pink_terracotta
# 1 rich person on track B
execute if score @p Scene matches 22 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:cartographer",type:"minecraft:jungle"},Offers:{}}
execute if score @p Scene matches 22 run scoreboard players set @a Scene 23
##########################################
execute if score @p Scene matches 21 run setblock -5 37 1 minecraft:lime_terracotta
# remove Mojang building
execute if score @p Scene matches 21 run fill 10 35 -10 4 46 -19 air
# remove Fargfabriken building
execute if score @p Scene matches 21 run fill 18 35 -2 24 45 4 air
# 5 people on track A
execute if score @p Scene matches 21 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 21 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 21 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 21 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 21 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 important person on track B
execute if score @p Scene matches 21 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:fletcher",type:"minecraft:savanna"},Offers:{}}
# giant television screen in background
execute if score @p Scene matches 21 run clone 30 -20 -22 30 16 42 -31 34 -22
execute if score @p Scene matches 21 run scoreboard players set @a Scene 22
##########################################
execute if score @p Scene matches 20 run setblock -5 37 1 minecraft:yellow_terracotta
# Mojang Studios building on track A
execute if score @p Scene matches 20 run clone 10 17 15 16 6 23 4 35 -19
execute if score @p Scene matches 20 run clone 13 9 24 13 9 24 7 38 -10
# Fargfabriken building on track B
execute if score @p Scene matches 20 run clone 16 16 27 10 6 33 18 35 -2
execute if score @p Scene matches 20 run scoreboard players set @a Scene 21
##########################################
execute if score @p Scene matches 19 run setblock -5 37 1 minecraft:light_blue_terracotta
# remove all the coaster stuff and barriers
execute if score @p Scene matches 19 run fill 5 58 -22 9 35 42 air
# put back train
execute if score @p Scene matches 19 run clone 2 1 -20 8 12 7 4 35 8
# 10 people on track A w/ 10% sign
execute if score @p Scene matches 19 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 5 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 6 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 7 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 8 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 9 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 2 people on track B w/ 50% sign
execute if score @p Scene matches 19 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run scoreboard players set @a Scene 20
##########################################
execute if score @p Scene matches 18 run setblock -5 37 1 minecraft:magenta_terracotta
# remove time portal
execute if score @p Scene matches 18 run fill 25 35 -4 25 47 6 air
# remove train
execute if score @p Scene matches 18 run fill 10 35 8 4 47 35 air
# put coaster and coaster tracks
execute if score @p Scene matches 18 run clone 15 -2 -22 19 -25 42 5 35 -22
execute if score @p Scene matches 18 run scoreboard players set @a Scene 19
##########################################
execute if score @p Scene matches 17 run setblock -5 37 1 minecraft:orange_terracotta
# 2 people on track A
execute if score @p Scene matches 17 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 17 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# time portal on track B
execute if score @p Scene matches 17 run clone 6 1 35 6 13 25 25 35 -4
execute if score @p Scene matches 17 run scoreboard players set @a Scene 18
##########################################
execute if score @p Scene matches 16 run setblock -5 37 1 minecraft:white_terracotta
# 1 sick person on track A
execute if score @p Scene matches 16 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,VillagerData:{type:"minecraft:snow"}}
# put back train
execute if score @p Scene matches 16 run clone 2 1 -20 8 12 7 4 35 8
# teleport players to intermission area
execute if score @p Scene matches 16 run tp @a 18 22 6 -90 0
execute if score @p Scene matches 16 run scoreboard players set @a Scene 17
##########################################
execute if score @p Scene matches 15 run setblock -5 37 1 minecraft:black_glazed_terracotta[facing=east]
# remove wall on track A
execute if score @p Scene matches 15 run fill 4 35 -14 10 40 -14 air
# remove train
execute if score @p Scene matches 15 run fill 4 35 8 10 50 35 air
execute if score @p Scene matches 15 run scoreboard players set @a Scene 16
##########################################
execute if score @p Scene matches 14 run setblock -5 37 1 minecraft:red_glazed_terracotta[facing=east]
# remove computer on track A
execute if score @p Scene matches 14 run setblock 7 35 -10 air
# remove machine on track B
execute if score @p Scene matches 14 run fill 17 35 1 21 41 11 air
# put wall on track A
execute if score @p Scene matches 14 run clone 10 6 11 16 1 11 4 35 -14
execute if score @p Scene matches 14 run scoreboard players set @a Scene 15
##########################################
execute if score @p Scene matches 13 run setblock -5 37 1 minecraft:green_glazed_terracotta[facing=east]
# computer on track A
execute if score @p Scene matches 13 run setblock 7 35 -10 minecraft:dead_brain_coral[waterlogged=false]
# pressure plate on track B connected to memory-erase machine that a bunch of baby villagers are standing in
execute if score @p Scene matches 13 run clone 6 1 11 2 7 21 17 35 1
execute if score @p Scene matches 13 run scoreboard players set @a Scene 14
##########################################
execute if score @p Scene matches 12 run setblock -5 37 1 minecraft:brown_glazed_terracotta[facing=east]
# 4 people on track A
execute if score @p Scene matches 12 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 6.8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 8.2 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 2 pandas on track B
execute if score @p Scene matches 12 run summon panda 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 12 run summon panda 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 12 run scoreboard players set @a Scene 13
##########################################
execute if score @p Scene matches 11 run setblock -5 37 1 minecraft:blue_glazed_terracotta[facing=east]
# put back lever
execute if score @p Scene matches 11 run setblock 13 36 -5 lever[face=floor,facing=north]
# 1 Alex on track A
execute if score @p Scene matches 11 run summon husk 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 5 people on track B
execute if score @p Scene matches 11 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run scoreboard players set @a Scene 12
##########################################
execute if score @p Scene matches 10 run setblock -5 37 1 minecraft:purple_glazed_terracotta[facing=east]
# 10 people on track A
execute if score @p Scene matches 10 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 5 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 6 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 7 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 8 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 10 run summon villager 9 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person next to question area 
execute if score @p Scene matches 10 run summon villager -5 35 -7 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[-90F,0F]}
# remove lever
execute if score @p Scene matches 10 run setblock 13 36 -5 air
execute if score @p Scene matches 10 run scoreboard players set @a Scene 11
##########################################
execute if score @p Scene matches 9 run setblock -5 37 1 minecraft:cyan_glazed_terracotta[facing=east]
# 5 people on track A (standing on top of each other's heads) 
execute if score @p Scene matches 9 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 37 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 39 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 41 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 43 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 52 -23 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# ring of people around track B 
execute if score @p Scene matches 9 run summon villager -6 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 31 52 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 35 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 35 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 37 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 37 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 39 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 39 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 41 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 41 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 9 run summon villager 17 43 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
# person floating in the middle of track B
execute if score @p Scene matches 9 run summon villager 17 36 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
# person standing on top of the train 
execute if score @p Scene matches 9 run summon villager 7 42 12 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[180F,0F]}
execute if score @p Scene matches 9 run summon villager 7 44 18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[180F,0F]}
execute if score @p Scene matches 9 run summon villager 7 45 23 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[180F,0F]}
# person standing on top of question card 
execute if score @p Scene matches 9 run summon villager -5 40 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[-90F,0F]}
execute if score @p Scene matches 9 run scoreboard players set @a Scene 10
##########################################
execute if score @p Scene matches 8 run setblock -5 37 1 minecraft:light_gray_glazed_terracotta[facing=east]
# removed fenced off area
execute if score @p Scene matches 8 run fill 3 35 -10 10 39 -18 air
# 5 people on track A
execute if score @p Scene matches 8 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 8 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 8 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 8 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 8 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 8 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
# 1 baby villager next to track B
execute if score @p Scene matches 8 run summon villager 19 35 -5 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Age:-19999980}
execute if score @p Scene matches 8 run scoreboard players set @a Scene 9
##########################################
execute if score @p Scene matches 7 run setblock -5 37 1 minecraft:gray_glazed_terracotta[facing=east]
# remove television screen
execute if score @p Scene matches 7 run fill -31 34 -22 -31 70 42 air
# fenced off area on track A
execute if score @p Scene matches 7 run clone 2 1 25 -5 7 33 3 35 -18
# 2 people and player clone on track B
execute if score @p Scene matches 7 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 7 run summon zombie 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 7 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 7 run scoreboard players set @a Scene 8
##########################################
execute if score @p Scene matches 6 run setblock -5 37 1 minecraft:pink_glazed_terracotta[facing=east]
# remove water reservoir
execute if score @p Scene matches 6 run clone 10 2 24 18 1 15 3 33 -23
# giant television screen in background
execute if score @p Scene matches 6 run clone 30 -20 -22 30 16 42 -31 34 -22
# 5 people on track A
execute if score @p Scene matches 6 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 6 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 6 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 6 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 6 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 6 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 6 run scoreboard players set @a Scene 7
##########################################
execute if score @p Scene matches 5 run setblock -5 37 1 minecraft:lime_glazed_terracotta[facing=east]
# regular train
execute if score @p Scene matches 5 run clone 2 1 -20 8 12 7 4 35 8
# water reservoir under track A
execute if score @p Scene matches 5 run clone 18 2 37 10 1 28 3 33 -23
# 3 people on track B
execute if score @p Scene matches 5 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 5 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 5 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 5 run scoreboard players set @a Scene 6
##########################################
execute if score @p Scene matches 4 run setblock -5 37 1 minecraft:yellow_glazed_terracotta[facing=east]
# remove police tape
execute if score @p Scene matches 4 run fill 12 35 -6 12 37 -4 air
execute if score @p Scene matches 4 run fill 13 35 -4 14 37 -4 air
execute if score @p Scene matches 4 run fill 14 35 -5 14 37 -6 air
execute if score @p Scene matches 4 run fill 13 35 -6 13 37 -6 air
execute if score @p Scene matches 4 run setblock 13 37 -5 air
# 5 people on track A
execute if score @p Scene matches 4 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 4 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 4 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 4 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 4 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# the train is sexy
execute if score @p Scene matches 4 run clone 12 12 -20 18 1 7 4 35 8
execute if score @p Scene matches 4 run scoreboard players set @a Scene 5
##########################################
execute if score @p Scene matches 3 run setblock -5 37 1 minecraft:light_blue_glazed_terracotta[facing=east]
# 3 people on track A
execute if score @p Scene matches 3 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 3 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 3 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# lever is surrounded by police tape
execute if score @p Scene matches 3 run clone -5 3 -18 -3 1 -20 12 35 -6
execute if score @p Scene matches 3 run scoreboard players set @a Scene 4
##########################################
execute if score @p Scene matches 2 run setblock -5 37 1 minecraft:magenta_glazed_terracotta[facing=east]
# 10 people on track A
execute if score @p Scene matches 2 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 5 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 6 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 7 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 8 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 2 run summon villager 9 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 2 unknown people on track B
execute if score @p Scene matches 2 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 2 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 2 run scoreboard players set @a Scene 3
##########################################
execute if score @p Scene matches 1 run setblock -5 37 1 minecraft:orange_glazed_terracotta[facing=east]
# baby villager on track A
execute if score @p Scene matches 1 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Age:-19999980}
# elderly villager on track B
execute if score @p Scene matches 1 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:cleric",type:"minecraft:taiga"},Offers:{}}
execute if score @p Scene matches 1 run scoreboard players set @a Scene 2
##########################################
execute if score @p Scene matches 0 run function henzoid:numbers
execute if score @p Scene matches 0 run setblock -5 37 1 minecraft:white_glazed_terracotta[facing=east]
# 5 people on track A
execute if score @p Scene matches 0 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 0 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 0 run scoreboard players set @a Scene 1
##########################################

























